.\" $NetBSD: pcic.4,v 1.5 2008/04/30 13:10:54 martin Exp $
.\"
.\" Copyright (c) 1999 The NetBSD Foundation, Inc.
.\" All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE NETBSD FOUNDATION, INC. AND CONTRIBUTORS
.\" ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
.\" TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
.\" PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE FOUNDATION OR CONTRIBUTORS
.\" BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
.\" CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
.\" SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
.\" INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
.\" CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
.\" ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
.\" POSSIBILITY OF SUCH DAMAGE.
.\"
.Dd May 21, 1999
.Dt PCIC 4
.Os
.Sh NAME
.Nm pcic
.Nd Intel and Cirrus Logic PCMCIA controller driver
.Sh SYNOPSIS
.Cd "pcic0   at isa? port 0x3e0 iomem 0xd0000 iosiz 0x4000 flags N"
.Cd "pcic1   at isa? port 0x3e2 iomem 0xd4000 iosiz 0x4000 flags N"
.Cd "pcic*   at isapnp?"
.Cd "pcic*   at pci? dev? function ?"
.Cd "pcmcia* at pcic? controller ? socket ?"
.Sh DESCRIPTION
.Nx
provides support for the
.Tn Intel
82365SL,
.Tn Cirrus Logic
PD6710 and PD672x
.Tn PCMCIA
controllers.
.Pp
For the
.Xr isa 4
attachment a
.Ar flags
value of 1 can be used to force the use of polling instead
of interrupts for card events.
.Pp
The default configuration of the pcic gives each controller 16
kilobytes of memory, to be shared between slots.
Some
.Tn "PC Card"
devices require somewhat more memory than this;
it may therefore be necessary to adjust the
.Va iomem
and
.Va iosiz
parameters of the
.Nm
devices in the kernel config file to accommodate these cards.
.Sh SEE ALSO
.Xr isa 4 ,
.Xr isapnp 4 ,
.Xr pci 4 ,
.Xr pcmcia 4 ,
.Xr tcic 4
.Pp
.Bl -item -compact
.It
.Pa http://www.intel.com/
.It
.Pa http://www.cirrus.com/
.El
.Sh HISTORY
The
.Nm
driver appeared in
.Nx 1.3 .
